## org.eclipse.uml2.uml.edit.providers
Class UMLResourceItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.edit.provider.resource.ResourceItemProviderAdapterFactory
              org.eclipse.uml2.uml.edit.providers.UMLResourceItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class UMLResourceItemProviderAdapterFactory

extends org.eclipse.emf.edit.provider.resource.ResourceItemProviderAdapterFactory

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.resource.ResourceItemProviderAdapterFactory
`changeNotifier, disposable, parentAdapterFactory, resourcePackage, supportedTypes`

Constructor Summary
`UMLResourceItemProviderAdapterFactory()`

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createResourceAdapter()`

Methods inherited from class org.eclipse.emf.edit.provider.resource.ResourceItemProviderAdapterFactory
`adapt, adapt, addListener, associate, createAdapter, createResourceSetAdapter, dispose, fireNotifyChanged, getRootAdapterFactory, isFactoryForType, removeListener, setParentAdapterFactory`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### UMLResourceItemProviderAdapterFactory

    public UMLResourceItemProviderAdapterFactory()

Method Detail

### createResourceAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceAdapter()

  Overrides:
    `createResourceAdapter` in class `org.eclipse.emf.edit.provider.resource.ResourceItemProviderAdapterFactory`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.